Package twisted :: Package web :: Module test :: Class FunkyForm |
[show private | hide private]
[frames | no frames]

## Class FunkyForm

    Widget --+
             |
          Form --+
                 |
                FunkyForm

Method Summary
| ``display`(self, request)` Display the form. (inherited from `Form`)
| ``format`(self, form, write, request)` I display an HTML FORM according to the result of self.getFormFields. (inherited from `Form`)
| ``formatError`(self, error)` Format an error message. (inherited from `Form`)
| ``getFormFields`(self, request, fieldSet)` I return a list of lists describing this form, or a Deferred. (inherited from `Form`)
| ``getFormID`(self)` Override me: I disambiguate between multiple forms of the same type. (inherited from `Form`)
| `getTitle(self, request)` (inherited from `Widget`)
| `process(self, write, request, submit, checkn, checkone, checktwo, desc, mnu, title)`
| `shouldProcess(self, request)` (inherited from `Form`)
| ``tryAgain`(self, err, req)` Utility method for re-drawing the form with an error message. (inherited from `Form`)
| `_displayFormat(self, request, form)` (inherited from `Form`)
| `_displayProcess(self, request, form)` (inherited from `Form`)
| ``_doProcess`(self, form, write, request)` (internal) Prepare arguments for self.process. (inherited from `Form`)

Class Variable Summary
`list` | `formFields`
`list` | `submitNames`

Class Variable Details

    ### formFields Type: `list` Value:
        [['string', 'Title', 'title', 'Chicken Little', 'This is for chickens!\
        '],
         ['checkbox', 'First Checkbox', 'checkone', 1],
         ['checkbox', 'Second Checkbox', 'checktwo', 0],
         ['checkgroup',
          'First Checkgroup',
          'checkn',
          [['zero', 'Count Zero', 0],
        ...

    ### submitNames Type: `list` Value:
        ['Get Funky', 'Get *VERY* Funky']

Generated by Epydoc 1.1 on Thu May 8 13:19:09 2003 | http://epydoc.sf.net